IF NOT EXISTS(
	SELECT 
		1
	FROM 
		 sys.tables 
	WHERE 
		NAME = 'EST_PROD_TBL_DESC_QTDE_EST_PROD_FABRIC' )
BEGIN
	SET ANSI_NULLS ON

	SET QUOTED_IDENTIFIER ON

	CREATE TABLE [dbo].[EST_PROD_TBL_DESC_QTDE_EST_PROD_FABRIC](
		[CD_EMP] [int] NOT NULL,
		[CD_TBL_DESC_QTDE] [int] NOT NULL,
		[CD_FABRIC] [int] NOT NULL,
		[FLAG_DESC_QTDE] [int] NOT NULL,
	 CONSTRAINT [PK_EST_PROD_TBL_DESC_QTDE_EST_PROD_FABRIC] PRIMARY KEY CLUSTERED 
	(
		[CD_EMP] ASC,
		[CD_TBL_DESC_QTDE] ASC,
		[CD_FABRIC] ASC
	)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
	) ON [PRIMARY]



	ALTER TABLE [dbo].[EST_PROD_TBL_DESC_QTDE_EST_PROD_FABRIC]  WITH CHECK ADD  CONSTRAINT [FK_EST_PROD_TBL_DESC_QTDE_EST_PROD_FABRIC_EST_PROD_FABRIC] FOREIGN KEY([CD_FABRIC])
	REFERENCES [dbo].[EST_PROD_FABRIC] ([CD_FABRIC])
	ON UPDATE CASCADE


	ALTER TABLE [dbo].[EST_PROD_TBL_DESC_QTDE_EST_PROD_FABRIC] CHECK CONSTRAINT [FK_EST_PROD_TBL_DESC_QTDE_EST_PROD_FABRIC_EST_PROD_FABRIC]

	ALTER TABLE [dbo].[EST_PROD_TBL_DESC_QTDE_EST_PROD_FABRIC]  WITH CHECK ADD  CONSTRAINT [FK_EST_PROD_TBL_DESC_QTDE_EST_PROD_FABRIC_EST_PROD_TBL_DESC] FOREIGN KEY([CD_EMP], [CD_TBL_DESC_QTDE])
	REFERENCES [dbo].[EST_PROD_TBL_DESC_QTDE] ([CD_EMP], [CD_TBL_DESC_QTDE])
	ON UPDATE CASCADE
	ON DELETE CASCADE

	ALTER TABLE [dbo].[EST_PROD_TBL_DESC_QTDE_EST_PROD_FABRIC] CHECK CONSTRAINT [FK_EST_PROD_TBL_DESC_QTDE_EST_PROD_FABRIC_EST_PROD_TBL_DESC]

	ALTER TABLE [dbo].[EST_PROD_TBL_DESC_QTDE_EST_PROD_FABRIC] ADD  CONSTRAINT [DF_EST_PROD_TBL_DESC_QTDE_EST_PROD_FABRIC_FLAG_DESC_QTDE]  DEFAULT ((0)) FOR [FLAG_DESC_QTDE]

END

